Skip to main content

Compressed/Aggregate Trades List

API Description​

Get compressed, aggregate trades. Market trades that fill in 100ms with the same price and the same taking side will have the quantity aggregated.

HTTP Request​

GET /dapi/v1/aggTrades

Request Weight​

20

Request Parameters​

NameTypeMandatoryDescription
symbolSTRINGYES
fromIdLONGNOID to get aggregate trades from INCLUSIVE.
startTimeLONGNOTimestamp in ms to get aggregate trades from INCLUSIVE.
endTimeLONGNOTimestamp in ms to get aggregate trades until INCLUSIVE.
limitINTNODefault 500; max 1000.
  • only trade histories within the past 48 hours (counted from now) can be queried
  • If both startTime and endTime are sent, time between startTime and endTime must be less than 1 hour.
  • If fromId, startTime, and endTime are not sent, the most recent aggregate trades will be returned.
  • Only market trades will be aggregated and returned, which means the insurance fund trades and ADL trades won't be aggregated.
  • Sending both startTime/endTime and fromId might cause response timeout, please send either fromId or startTime/endTime

Response Example​

[
{
"a": 416690, // Aggregate tradeId
"p": "9642.4", // Price
"q": "3", // Quantity
"f": 595259, // First tradeId
"l": 595259, // Last tradeId
"T": 1591250548649, // Timestamp
"m": false, // Was the buyer the maker?
}
]